AxAPIConfig Generated TypeScript API reference. typescript api api/reference build/apidocs/Interface.AxAPIConfig.md interface AxAPIConfig

AxAPIConfig

Defined in: https://github.com/ax-llm/ax/blob/5b28f9093bb70863b59459bb6df5062d005bce41/src/ax/util/apicall.ts#L58

Extends

  • AxAPI.RequestValidation.ResponseValidation

Properties

PropertyTypeDescriptionOverridesInherited from
abortSignal?AbortSignal---
corsProxy?string---
debug?boolean---
fetch?{ (input: URL | RequestInfo, init?: RequestInit): Promise<Response>; (input: string | URL | Request, init?: RequestInit): Promise<Response>; }---
headers?Record<string, string>--AxAPI.headers
includeRequestBodyInErrors?booleanWhether to include request body in error messages. Defaults to true. Set to false when request may contain sensitive data or large base64 content.--
localCall?<TRequest, TResponse>(data: TRequest, stream?: boolean) => Promise<TResponse | ReadableStream<TResponse>>--AxAPI.localCall
name?string--AxAPI.name
onResponseMetadata?(metadata: Readonly<AxAPIResponseMetadata>) => void---
put?boolean--AxAPI.put
retry?Partial<RetryConfig>---
span?Span---
stream?boolean---
timeout?number---
url?string | URL-AxAPI.url-
validateRequest?(request: unknown) => boolean | Promise<boolean>--RequestValidation.validateRequest
validateResponse?(response: unknown) => boolean | Promise<boolean>--ResponseValidation.validateResponse
verbose?boolean---
Docs